Subject: Re: bug#62720: 29.0.60; Not easy at all to upgrade :core packages like Eglot

From: Ihor Radchenko <[email-masked]>
Date: Sat, 08 Apr 2023 15:31:02 +0000

João Távora <[email-masked]> writes:

>> I think that adding this into compat.el could be also justified.
>> With compat.el being ELPA dependency.
>
> But compat.el is not :core right?  So Eglot cannot depend on it.

Several packages in :core do depend on compat. The idea is to use
(require 'compat nil 'noerror), which does nothing in core, but enables
forward-compatibility features on ELPA.

See https://elpa.gnu.org/packages/doc/compat.html#Usage

> Also I think that's a bit beyond the purpose of compat, though
> I don't oppose it. I really think package.el, like other package
> managers, should learn to update itself.  It should be a :core
> ELPA package itself.  But then that also requires this bug to
> be fixed.

I agree that it is slightly out of scope of compat. But this particular
problem appears to be important enough as exception.

-- 
Ihor Radchenko // yantar92,
Org mode contributor,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>